Get plan activity

Auth

Retrieves details for a single plan activity for the given resource.

Path parameters

deployment_id string required

Identifier for the Deployment

resource_kind enum required

The kind of resource

Values: elasticsearch kibana apm appsearch enterprise_search integrations_server
ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one)

attempt_id string required

Attempt id for the activity

Responses

Returning the single plan activity for the specified resource

application/json
plan_attempt_id string
plan_attempt_name string
healthy boolean required
attempt_start_time string · format: date-time
attempt_end_time string · format: date-time
plan_end_time string · format: date-time
plan object
plan_attempt_log object[] required
step_id string required

ID of current step

started string · format: date-time required

When the step started (ISO format in UTC)

completed string · format: date-time

When the step completed (ISO format in UTC)

duration_in_millis integer · format: int64

The duration of the step in MS

status enum required

The status of the step (success, warning, error - warning means something didn't go as expected but it was not serious enough to abort the plan)

Values: success warning error pending
stage enum required

Current stage that the step is in

Values: starting completed in_progress
info_log object[] required

Human readable summaries of the step, including messages for each stage of the step

timestamp string · format: date-time required

Timestamp marking on info log of step

delta_in_millis integer · format: int64

Time in milliseconds since previous log message

stage enum required

Stage that info log message takes place in

Values: starting completed in_progress
message string required

Human readable log message

details map string to string required

A map with details for the log about what happened during the step execution. Keys and values for are always both strings, representing the name of the detail and its value, respectively.

internal_details map string to string

A json object with sensitive details for the log, visible only to admins. May contain nested json objects.

failure_type string

The failure type, in case the step failed

warnings object[] required
code string required

A unique warning code

message string required

A description of the warning

step_id string

The ID of the step which produced a warning, if any